# DescribeNetworkInterfaceMonitorData

## 1. API Description

This API (DescribeNetworkInterfaceMonitorData) is used to query network interface monitoring metric data within a specified time range. Includes metrics such as bandwidth, packet count, packet loss, and error packets.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                               | Description                                                                                                          |
| -------------- | -------- | ---------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| nicId          | Yes      | String                                                                             | The unique identifier ID of the network interface.                                                                   |
| metricType     | Yes      | [NicApiMonitorMeta](/api-reference/compute/zec/datastructure.md#nicapimonitormeta) | The type of network interface monitoring metric.                                                                     |
| startTime      | Yes      | String                                                                             | <p>The query start time.</p><p>Time format: yyyy-MM-ddTHH:mm:ssZ.</p>                                                |
| endTime        | Yes      | String                                                                             | <p>The query end time.</p><p>Time format: yyyy-MM-ddTHH:mm:ssZ.</p>                                                  |
| step           | No       | Integer                                                                            | <p>Time duration.</p><p>Default value: 5 minutes;</p><p>Supported values: 1 or 5 minutes.</p><p>Default value: 5</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                            | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| maxValue       | Float                                                                           | The maximum value of the data point.                                                                                  |
| minValue       | Float                                                                           | The minimum value of the data point.                                                                                  |
| avgValue       | Float                                                                           | The average value of the data point.                                                                                  |
| metrics        | Array of [MetricValue](/api-reference/compute/zec/datastructure.md#metricvalue) | The collection of monitoring data.                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the `RX_BITS` monitoring metric data for a network interface over a specified time range.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNetworkInterfaceMonitorData
<Common Request Params>

Request：
{
    "nicId": "<nicId>",
    "metricType": "RX_BITS",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "maxValue": 1024.0,
    "minValue": 512.0,
    "avgValue": 768.0,
    "metrics": [
      {
        "time": "2025-06-25T01:55:00Z",
        "value": 1024.0
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                             |
| ---------------- | ------------------------------------------- | --------------------------------------- |
| 400              | OPERATION\_DENIED\_TIME\_STEP\_NOT\_SUPPORT | Data point intervals are not supported. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/describenetworkinterfacemonitordata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
